<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2019 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL v3 or later
 */

namespace Akeeba\TicketSystem\Admin\CustomField;

use Akeeba\TicketSystem\Admin\Model\CustomFields;

defined('_JEXEC') or die();

/**
 * A multiple selection list field
 *
 * @author Nicholas K. Dionysopoulos
 */
class Multiselect extends Dropdown
{
	public function __construct(array $config = array())
	{
		parent::__construct($config);

		$this->input_type = 'multiselect';
	}

	public function getDisplay(CustomFields $item, $value)
	{
		$values = array();

		foreach($value as $selected)
		{
			// Let's quote the expression and escape the / char, since it could be used as value
			$regex_selected = str_replace('/', '\/', preg_quote($selected));

			preg_match('/'.$regex_selected.'=(.*?)(?:$|\n)/i', $item->options, $matches);

			if(isset($matches[1]))
			{
				$values[] = trim($matches[1]);
			}
		}

		return implode(', ', $values);
	}


}
